package com.solution.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.solution.system.mapper.NodeconnectionMapper;
import com.solution.system.domain.Nodeconnection;
import com.solution.system.service.INodeconnectionService;

/**
 * 节点连接Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
@Service
public class NodeconnectionServiceImpl implements INodeconnectionService 
{
    @Autowired
    private NodeconnectionMapper nodeconnectionMapper;

    /**
     * 查询节点连接
     * 
     * @param id 节点连接主键
     * @return 节点连接
     */
    @Override
    public Nodeconnection selectNodeconnectionById(Long id)
    {
        return nodeconnectionMapper.selectNodeconnectionById(id);
    }

    /**
     * 查询节点连接列表
     * 
     * @param nodeconnection 节点连接
     * @return 节点连接
     */
    @Override
    public List<Nodeconnection> selectNodeconnectionList(Nodeconnection nodeconnection)
    {
        return nodeconnectionMapper.selectNodeconnectionList(nodeconnection);
    }

    /**
     * 新增节点连接
     * 
     * @param nodeconnection 节点连接
     * @return 结果
     */
    @Override
    public int insertNodeconnection(Nodeconnection nodeconnection)
    {
        return nodeconnectionMapper.insertNodeconnection(nodeconnection);
    }

    /**
     * 修改节点连接
     * 
     * @param nodeconnection 节点连接
     * @return 结果
     */
    @Override
    public int updateNodeconnection(Nodeconnection nodeconnection)
    {
        return nodeconnectionMapper.updateNodeconnection(nodeconnection);
    }

    /**
     * 批量删除节点连接
     * 
     * @param ids 需要删除的节点连接主键
     * @return 结果
     */
    @Override
    public int deleteNodeconnectionByIds(Long[] ids)
    {
        return nodeconnectionMapper.deleteNodeconnectionByIds(ids);
    }

    /**
     * 删除节点连接信息
     * 
     * @param id 节点连接主键
     * @return 结果
     */
    @Override
    public int deleteNodeconnectionById(Long id)
    {
        return nodeconnectionMapper.deleteNodeconnectionById(id);
    }
}
